'From Squeak 2.4b of April 23, 1999 on 29 June 1999 at 12:37:24 am'!
"Change Set:		Toy Interfaces
Date:			25 June 1999
Porter:			Masashi Umezawa
Version:	1.5
Distribution:	World

SmallInterfaces Squeak Port. (sample interfaces)
Originally developed by Benny Sadeh in VisualWorks 3.0 NC.

These are toy-like interfaces for demonstration.

Maybe ANSI Smalltalk protocols should be defined as interfaces...


Copyright (C) 1999 Benny Sadeh.
Copyright (C) 1999 Masashi Umezawa.

URL: http://brain.cs.uiuc.edu/VisualWorks.SmallInterfaces (original)
URL: http://www.mars.dti.ne.jp/~umejava/smalltalk/stClasses/smallinterfaces/ (Squeak Port)

"!
Interface subclass: #Keyable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'
	interfaces: ''!
Array variableSubclass: #KeyableArray
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'!
ByteArray variableByteSubclass: #KeyableByteArray
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'!
Object subclass: #KeyableObject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'!
Interface subclass: #Positionable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'
	interfaces: 'Streamable '!
Interface subclass: #Readable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'
	interfaces: 'Positionable '!
Interface subclass: #ReadableWriteable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'
	interfaces: 'Readable Writeable '!
Interface subclass: #Streamable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'
	interfaces: ''!
Interface subclass: #Writeable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Toy Interfaces'
	interfaces: 'Positionable '!

!Keyable methodsFor: 'repertoire'!
at: arg1

	^self implementorsResponsibility! !

!Keyable methodsFor: 'repertoire'!
at: arg1 put: arg2

	^self implementorsResponsibility! !

!Keyable methodsFor: 'repertoire'!
keys

	^self implementorsResponsibility! !


!Keyable class methodsFor: 'testing'!
mustBeImplemented

	^true! !


!KeyableArray methodsFor: 'Keyable implementation'!
keys

	^self shouldImplementFor: Keyable! !


!KeyableByteArray methodsFor: 'Keyable implementation'!
keys

	^self shouldImplementFor: Keyable! !


!KeyableObject methodsFor: 'Keyable implementation'!
at: arg1

	^self shouldImplementFor: Keyable! !

!KeyableObject methodsFor: 'Keyable implementation'!
at: arg1 put: arg2

	^self shouldImplementFor: Keyable! !

!KeyableObject methodsFor: 'Keyable implementation'!
keys

	^self shouldImplementFor: Keyable! !


!Positionable methodsFor: 'repertoire'!
peek

	^self implementorsResponsibility! !

!Positionable methodsFor: 'repertoire'!
peekFor: arg1

	^self implementorsResponsibility! !

!Positionable methodsFor: 'repertoire'!
position

	^self implementorsResponsibility! !

!Positionable methodsFor: 'repertoire'!
position: arg1

	^self implementorsResponsibility! !

!Positionable methodsFor: 'repertoire'!
reset

	^self implementorsResponsibility! !

!Positionable methodsFor: 'repertoire'!
setToEnd

	^self implementorsResponsibility! !

!Positionable methodsFor: 'repertoire'!
skip: arg1

	^self implementorsResponsibility! !

!Positionable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:29'!
atEnd

	^self implementorsResponsibility! !

!Positionable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:29'!
contents

	^self implementorsResponsibility! !

!Positionable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:29'!
do: arg1

	^self implementorsResponsibility! !


!Readable methodsFor: 'repertoire'!
next

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
peek

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
peekFor: arg1

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
position

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
position: arg1

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
reset

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
setToEnd

	^self implementorsResponsibility! !

!Readable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
skip: arg1

	^self implementorsResponsibility! !

!Readable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
atEnd

	^self implementorsResponsibility! !

!Readable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
contents

	^self implementorsResponsibility! !

!Readable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
do: arg1

	^self implementorsResponsibility! !


!ReadableWriteable methodsFor: 'Readable' stamp: 'M.U 6/29/1999 00:31'!
next

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Writeable' stamp: 'M.U 6/29/1999 00:31'!
nextPut: arg1

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
peek

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
peekFor: arg1

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
position

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
position: arg1

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
reset

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
setToEnd

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
skip: arg1

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
atEnd

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
contents

	^self implementorsResponsibility! !

!ReadableWriteable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
do: arg1

	^self implementorsResponsibility! !


!Streamable methodsFor: 'repertoire'!
atEnd

	^self implementorsResponsibility! !

!Streamable methodsFor: 'repertoire'!
contents

	^self implementorsResponsibility! !

!Streamable methodsFor: 'repertoire'!
do: arg1

	^self implementorsResponsibility! !


!Writeable methodsFor: 'repertoire'!
nextPut: arg1

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
peek

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
peekFor: arg1

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
position

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
position: arg1

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
reset

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
setToEnd

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Positionable' stamp: 'M.U 6/29/1999 00:31'!
skip: arg1

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
atEnd

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
contents

	^self implementorsResponsibility! !

!Writeable methodsFor: 'Streamable' stamp: 'M.U 6/29/1999 00:31'!
do: arg1

	^self implementorsResponsibility! !


